Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class OverridePasteChildOperation

    java.lang.Object
      org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
          org.eclipse.gmf.runtime.emf.clipboard.core.BasePasteOperation
              org.eclipse.gmf.runtime.emf.clipboard.core.PasteChildOperation
                  org.eclipse.gmf.runtime.emf.clipboard.core.OverridePasteChildOperation

public abstract class OverridePasteChildOperation
extends PasteChildOperation

Abstract definition of an `IClipboardSupport`-defined operation that completely overrides the default paste-child behaviour.

This class is intended to be extended by clients, to provide an alternative paste operation in the clipboard support.

See Also:
  `IClipboardSupport.getOverrideChildPasteOperation(PasteChildOperation)`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.PasteChildOperation
`COPY, EMPTY_ARRAY`

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.BasePasteOperation
`PASTE`

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
`TOTAL_WORK, WORK_UNIT`

Constructor Summary
`OverridePasteChildOperation(PasteChildOperation overriddenChildPasteOperation)` Initializes me with the default paste operation that I am overriding.

Method Summary
`protected PasteChildOperation` `getOverriddenPasteChildOperation()` Obtains the default child-paste operation that I am overriding.

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.PasteChildOperation

`canBeReplaced, doPasteInto, doPasteInto, doPasteInto, doPasteInto, getAlwaysCopyObjectPasteOperations, getAuxiliaryChildPasteProcess, getChildObjectInfo, getContainmentFeature, getCopyParentEObject, getCopyParentObjectInfo, getEObject, getEObject, getEObjectID, getLoadedDirectContainerEObject, getLoadedEObject, getLoadedEObjectID, getMainChildPasteProcess, getParentEObject, getParentPasteProcess, getParentResource, getParentTarget, getPasteContainmentFeature, getPastedDirectCopyParent, getPastedElement, getPastedEObject, getPostPasteOperation, getSuitableParentUsingAncestry, handleCollision, handleCollision, hasCopyParent, isAuxiliaryOperation, isCopyAlways, isCopyParentDirectParent, makeAuxiliaryChildPasteProcess, mergeEObjects, mergeLists, paste, setPastedElement, shouldPasteAlwaysCopyObject`

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.BasePasteOperation

`addCriticalResolveFailure, addMergedElementEntry, addPastedElement, addPasteFailuresObject, getAllCriticalResolveFailuresSet, getAllMergedElementsMap, getAllPastedElementSet, getAllPasteFailuresObjectSet, getCriticalResolveFailuresSet, getLoadOptionsMap, getMergedElementsMap, getPastedElementSet, getPasteFailuresObjectSet, getResourceInfo, getSpawningPasteOperation, removeCriticalResolveFailure, throwCancelException`

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
`catchException, getClipboardOperationHelper, getProgressMonitor, isCancelled, throwCancelException, throwException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverridePasteChildOperation

    public OverridePasteChildOperation(PasteChildOperation overriddenChildPasteOperation)

  Initializes me with the default paste operation that I am overriding. I may want to access this default operation later in performing the paste.

Parameters:
  `overriddenChildPasteOperation` - the default paste operation that I override

Method Detail

### getOverriddenPasteChildOperation

    protected PasteChildOperation getOverriddenPasteChildOperation()

  Obtains the default child-paste operation that I am overriding.

  Returns:
    the overridden paste operation

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.